diff --git a/cmake/FindQScintilla.cmake b/cmake/FindQScintilla.cmake
index f469637..92c2d37 100644
--- a/cmake/FindQScintilla.cmake
+++ b/cmake/FindQScintilla.cmake
@@ -43,9 +43,12 @@
 #=============================================================================
 
 
+SET (QT_MIN_VERSION "5.6.2")
+FIND_PACKAGE( Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Network Widgets )
+ 
 find_path ( QSCINTILLA_INCLUDE_DIR
   NAMES qsciscintilla.h
-  HINTS ${QT_INCLUDE_DIR}
+  HINTS ${Qt5Core_INCLUDE_DIRS}
   PATH_SUFFIXES Qsci
 )
 
@@ -81,6 +84,6 @@ endif ()
 
 find_library ( QSCINTILLA_LIBRARY
-  NAMES qscintilla qscintilla2 libqscintilla2
-  HINTS ${QT_LIBRARY_DIR}
+  NAMES qscintilla2 libqscintilla2 qscintilla2_qt5 libqscintilla2_qt5
+  HINTS ${Qt5Core_LIBRARIES}
 )
 
diff --git a/CMakeLists.txt b/CMakeLists.txt
index fdf5b4c..ffba6d7 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -47,26 +47,20 @@ if(WIN32 AND MSVC)
 endif()
 
 if(NOT FORCE_INTERNAL_ANTLR)
-    find_package(Antlr2)
+    find_package(Antlr2 REQUIRED)
 endif()
 if(NOT FORCE_INTERNAL_QSCINTILLA)
     find_package(QScintilla)
 endif()
 
 set(QHEXEDIT_DIR libs/qhexedit)
-set(QCUSTOMPLOT_DIR libs/qcustomplot-source)

-if(NOT ANTLR2_FOUND)
-    set(ANTLR_DIR libs/antlr-2.7.7)
-    add_subdirectory(${ANTLR_DIR})
-endif()
 if(NOT QSCINTILLA_FOUND)
     set(QSCINTILLA_DIR libs/qscintilla/Qt4Qt5)
     add_subdirectory(${QSCINTILLA_DIR})
 endif()
 add_subdirectory(${QHEXEDIT_DIR})
-add_subdirectory(${QCUSTOMPLOT_DIR})
 
 find_package(Qt5Widgets REQUIRED)
 find_package(Qt5LinguistTools REQUIRED)

--- sqlitebrowser-3.10.1/src/tests/CMakeLists.txt
+++ sqlitebrowser-3.10.1/src/tests/CMakeLists.txt
@@ -49,9 +49,6 @@
 else()
     target_link_libraries(test-sqlobjects antlr)
 endif()
-link_directories("${CMAKE_CURRENT_BINARY_DIR}/${QSCINTILLA_DIR}")
-add_dependencies(test-sqlobjects qscintilla2)
-target_link_libraries(test-sqlobjects qscintilla2)
 add_test(test-sqlobjects test-sqlobjects)
 
 # test-import
@@ -118,7 +118,4 @@
 else()
     target_link_libraries(test-regex antlr)
 endif()
-link_directories("${CMAKE_CURRENT_BINARY_DIR}/${QSCINTILLA_DIR}")
-add_dependencies(test-regex qscintilla2)
-target_link_libraries(test-regex qscintilla2)
 add_test(test-regex test-regex)
--- sqlitebrowser-3.10.1/src/src.pro
+++ sqlitebrowser-3.10.1/src/src.pro
@@ -153,10 +150,7 @@
     }
 }
 
 LIBPATH_QHEXEDIT=$$OUT_PWD/../libs/qhexedit
-LIBPATH_ANTLR=$$OUT_PWD/../libs/antlr-2.7.7
-LIBPATH_QCUSTOMPLOT=$$OUT_PWD/../libs/qcustomplot-source
-LIBPATH_QSCINTILLA=$$OUT_PWD/../libs/qscintilla/Qt4Qt5
 unix {
     LIBS += -ldl
 }
@@ -197,9 +193,9 @@
 }
 
 UI_DIR = .ui
-INCLUDEPATH += $$PWD/../libs/antlr-2.7.7 $$PWD/../libs/qhexedit $$PWD/../libs/qcustomplot-source $$PWD/../libs/qscintilla/Qt4Qt5 $$PWD/..
-LIBS += -L$$LIBPATH_QHEXEDIT -L$$LIBPATH_ANTLR -L$$LIBPATH_QCUSTOMPLOT -L$$LIBPATH_QSCINTILLA -lantlr -lqhexedit -lqcustomplot -lqscintilla2
-DEPENDPATH += $$PWD/../libs/antlr-2.7.7 $$PWD/../libs/qhexedit $$PWD/../libs/qcustomplot-source $$PWD/../libs/qscintilla/Qt4Qt5
+INCLUDEPATH += $$PWD/../libs/qhexedit $$PWD/..
+LIBS += -L$$LIBPATH_QHEXEDIT -L$$LIBPATH_ANTLR -L$$LIBPATH_QCUSTOMPLOT -L$$LIBPATH_QSCINTILLA -lantlr -lqhexedit -lqcustomplot -lqscintilla2_qt5
+DEPENDPATH += $$PWD/../libs/qhexedit
 
 unix {
     # The executable
